### Function

# Atk Text free_ranges

since: 1.3

#### Declaration [src]

    void
    atk_text_free_ranges (
      AtkTextRange** ranges
    )

#### Description [src]

Frees the memory associated with an array of AtkTextRange. It is assumed that the array was returned by the function atk_text_get_bounded_ranges and is NULL terminated.

Available since: 1.3

#### Parameters

`ranges`

  Type: An array of `AtkTextRange*`

  A pointer to an array of `AtkTextRange` which is to be freed.

  The data is owned by the caller of the function.